# https://www.home-assistant.io/components/recorder/
auto_purge: true
purge_keep_days: 30
exclude:
  domains:
    - alert
    - automation
    - calendar
    - device_tracker
    - group
    - history_graph
    - media_player
    - script
    - sun
    - updater
    - weather
    - weblink
    - zone
    - zwave
  entities:
    - sun.sun # Don't record sun  data
    - sensor.last_boot # Comes from 'systemmonitor' sensor platform
    - sensor.ha_uptime
    - sensor.ha_installed_version
    - sensor.date
    - sensor.date_time
    - sensor.time
    - sensor.time_utc
    - sensor.time_date
    - sensor.internet_time
    - sensor.last_boot
    - sensor.since_last_boot
    - sensor.since_last_boot_templated
    - sensor.uptime
    - sensor.system_uptime
    - sensor.hacs

    # From hass.yaml
    - sensor.tracker_count
    - sensor.lights_count
    - sensor.binary_sensor_count
    - sensor.switch_count
    - sensor.automation_count
    - sensor.script_count
    - sensor.sensor_count
    - sensor.zwave_count

    # From trash_recycling.yaml
    - sensor.current_week
    - sensor.weeks_since_epoch

    # From holiday.yaml
    - sensor.holidays_calendar
